geode-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <>
Subject [jira] [Commented] (GEODE-3628) fix required permission for lucene query
Date Mon, 02 Oct 2017 17:39:00 GMT


ASF subversion and git services commented on GEODE-3628:

Commit 061e07d5f425837e87eedc3af5f89eb5d2b3e77a in geode's branch refs/heads/develop from
[;h=061e07d ]

GEODE-3628: Lucene query only needs DATA:READ

Changing the permissions on the LuceneQueryFunction to only require

> fix required permission for lucene query
> ----------------------------------------
>                 Key: GEODE-3628
>                 URL:
>             Project: Geode
>          Issue Type: Bug
>          Components: docs, lucene
>            Reporter: Swapnil Bawaskar
>             Fix For: 1.3.0
> Previously running a function required DATA:WRITE authorization, and because lucene query
is implemented using functions, it did too.
> Now, that we have API that allows function author to choose what authorization is required
to execute a function (GEODE-2817). We should change lucene query to require DATA:READ.

This message was sent by Atlassian JIRA

View raw message